<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21225" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES">
    <device id="retina6_0" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21207"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <tableViewCell contentMode="scaleToFill" selectionStyle="none" indentationWidth="10" rowHeight="114" id="KGk-i7-Jjw" customClass="SLRecomFriendsCell">
            <rect key="frame" x="0.0" y="0.0" width="374" height="114"/>
            <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
            <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" tableViewCell="KGk-i7-Jjw" id="H2p-sc-9uM">
                <rect key="frame" x="0.0" y="0.0" width="374" height="114"/>
                <autoresizingMask key="autoresizingMask"/>
                <subviews>
                    <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="icon_ellipse" translatesAutoresizingMaskIntoConstraints="NO" id="Kih-80-ush">
                        <rect key="frame" x="16" y="33" width="48" height="48"/>
                        <constraints>
                            <constraint firstAttribute="width" constant="48" id="RB0-Hl-vyg"/>
                            <constraint firstAttribute="height" constant="48" id="faa-Gg-xKV"/>
                        </constraints>
                        <userDefinedRuntimeAttributes>
                            <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                <integer key="value" value="24"/>
                            </userDefinedRuntimeAttribute>
                        </userDefinedRuntimeAttributes>
                    </imageView>
                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="          " textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="C25-qG-NjY">
                        <rect key="frame" x="80" y="50" width="34" height="14.333333333333329"/>
                        <fontDescription key="fontDescription" type="system" pointSize="12"/>
                        <color key="textColor" red="0.68235294117647061" green="0.68235294117647061" blue="0.69803921568627447" alpha="1" colorSpace="calibratedRGB"/>
                        <nil key="highlightedColor"/>
                    </label>
                    <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="用户名称" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="XOL-Cc-SRD">
                        <rect key="frame" x="80" y="26.666666666666671" width="65.333333333333314" height="19.333333333333329"/>
                        <fontDescription key="fontDescription" type="system" weight="medium" pointSize="16"/>
                        <nil key="textColor"/>
                        <nil key="highlightedColor"/>
                    </label>
                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="025-jW-ZrE">
                        <rect key="frame" x="306" y="43" width="56" height="28"/>
                        <color key="backgroundColor" red="0.086274509799999996" green="0.46666666670000001" blue="1" alpha="1" colorSpace="custom" customColorSpace="calibratedRGB"/>
                        <constraints>
                            <constraint firstAttribute="height" constant="28" id="3bc-2w-ZrQ"/>
                        </constraints>
                        <fontDescription key="fontDescription" type="system" pointSize="14"/>
                        <color key="tintColor" red="0.086274509803921567" green="0.46666666666666667" blue="1" alpha="1" colorSpace="calibratedRGB"/>
                        <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                        <state key="normal" title="    添加   "/>
                        <userDefinedRuntimeAttributes>
                            <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                <integer key="value" value="14"/>
                            </userDefinedRuntimeAttribute>
                        </userDefinedRuntimeAttributes>
                        <connections>
                            <action selector="addBtnClick:" destination="KGk-i7-Jjw" eventType="touchUpInside" id="RFe-2h-hfT"/>
                        </connections>
                    </button>
                    <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="zKX-M5-UHx">
                        <rect key="frame" x="242" y="43" width="56" height="28"/>
                        <color key="backgroundColor" red="0.96078431372549022" green="0.97254901960784312" blue="0.96862745098039216" alpha="1" colorSpace="calibratedRGB"/>
                        <constraints>
                            <constraint firstAttribute="height" constant="28" id="cjP-fF-9Mx"/>
                        </constraints>
                        <fontDescription key="fontDescription" type="system" pointSize="14"/>
                        <color key="tintColor" red="0.086274509799999996" green="0.46666666670000001" blue="1" alpha="1" colorSpace="calibratedRGB"/>
                        <inset key="imageEdgeInsets" minX="0.0" minY="0.0" maxX="2.2250738585072014e-308" maxY="0.0"/>
                        <state key="normal" title="    移除   ">
                            <color key="titleColor" red="0.094117647060000004" green="0.094117647060000004" blue="0.094117647060000004" alpha="1" colorSpace="calibratedRGB"/>
                        </state>
                        <userDefinedRuntimeAttributes>
                            <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                <integer key="value" value="14"/>
                            </userDefinedRuntimeAttribute>
                        </userDefinedRuntimeAttributes>
                        <connections>
                            <action selector="removeBtnClick:" destination="KGk-i7-Jjw" eventType="touchUpInside" id="XCk-DC-mZ9"/>
                        </connections>
                    </button>
                </subviews>
                <constraints>
                    <constraint firstItem="zKX-M5-UHx" firstAttribute="centerY" secondItem="025-jW-ZrE" secondAttribute="centerY" id="GsB-jl-uYx"/>
                    <constraint firstItem="C25-qG-NjY" firstAttribute="top" secondItem="XOL-Cc-SRD" secondAttribute="bottom" constant="4" id="KXJ-sM-0xX"/>
                    <constraint firstAttribute="trailing" secondItem="025-jW-ZrE" secondAttribute="trailing" constant="12" id="LLX-sG-vWX"/>
                    <constraint firstItem="XOL-Cc-SRD" firstAttribute="leading" secondItem="C25-qG-NjY" secondAttribute="leading" id="bdu-hA-7Ig"/>
                    <constraint firstItem="025-jW-ZrE" firstAttribute="leading" secondItem="zKX-M5-UHx" secondAttribute="trailing" constant="8" id="f9Y-Rz-WVY"/>
                    <constraint firstItem="025-jW-ZrE" firstAttribute="centerY" secondItem="Kih-80-ush" secondAttribute="centerY" id="gDC-cA-frd"/>
                    <constraint firstItem="Kih-80-ush" firstAttribute="leading" secondItem="H2p-sc-9uM" secondAttribute="leading" constant="16" id="jN2-br-OTG"/>
                    <constraint firstItem="Kih-80-ush" firstAttribute="centerY" secondItem="H2p-sc-9uM" secondAttribute="centerY" id="jOy-j1-d4A"/>
                    <constraint firstItem="C25-qG-NjY" firstAttribute="centerY" secondItem="Kih-80-ush" secondAttribute="centerY" id="vKR-CJ-I7t"/>
                    <constraint firstItem="C25-qG-NjY" firstAttribute="leading" secondItem="Kih-80-ush" secondAttribute="trailing" constant="16" id="zJJ-Yc-GwR"/>
                </constraints>
            </tableViewCellContentView>
            <viewLayoutGuide key="safeArea" id="aW0-zy-SZf"/>
            <connections>
                <outlet property="addBtn" destination="025-jW-ZrE" id="qtM-JE-Ium"/>
                <outlet property="friendNumLabel" destination="C25-qG-NjY" id="NT0-iH-5wq"/>
                <outlet property="headImageView" destination="Kih-80-ush" id="Zub-Nq-byI"/>
                <outlet property="nameLabel" destination="XOL-Cc-SRD" id="lj9-0P-JtD"/>
                <outlet property="removeBtn" destination="zKX-M5-UHx" id="vew-vt-InF"/>
            </connections>
            <point key="canvasLocation" x="95.384615384615387" y="23.459715639810426"/>
        </tableViewCell>
    </objects>
    <resources>
        <image name="icon_ellipse" width="52.333332061767578" height="52.333332061767578"/>
    </resources>
</document>
